Subject: Re: bug#18846: 24.4; isatty fix in revision 114730 breaks in shell scripts

From: Jan Djärv <[email-masked]>
Date: Fri, 31 Oct 2014 16:20:48 +0100

Hi.

> 26 okt 2014 kl. 23:33 skrev William Lederer <[email-masked]>:
> 
> 
> Maintainers:
> 
> In emacs 24.4 built for mac os x, if I invoke emacs from a command
> line, it properly remembers the current directory.  However, if I launch
> it from a shell script called from the command line, it forgets the
> current directory and goes to the home directory. This happens even if
> the --chdir option is used on the command line.
> 
> If the command 
> 
> /Applications/Emacs.app/Contents/MacOS/Emacs &
> 
> is launched from an interactive shell, all is well.  If it is launched
> from an executable script ~/bin/ea
> 
> #!/bin/bash
> /Applications/Emacs.app/Contents/MacOS/Emacs --chdir `pwd` --title "`basename $PWD` hosted `hostname`"  &
> 
> emacs ends up in the home directory.

I checked in a fix in the 24-branch such as --chdir will work in this case.
But the rest of 114730 stands, it fixes another bug.

	Jan D.